## helma.doc
Class DocResourceElement

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocResourceElement

Direct Known Subclasses:
  DocFunction, DocProperties, DocSkin

    public abstract class DocResourceElement

extends DocElement

abstract class for extracting doc information from files. not used at the moment but left in for further extensions-

Field Summary
`protected Resource` `resource`

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`protected` `DocResourceElement(java.lang.String name, Resource res, int type)`

Method Summary
`int` `getStartLine()` Get the line number this element starts in.
`java.lang.String` `toString()` Get a string describing this element's location

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getComment, getContent, getDocApplication, getElementName, getName, getParentElement, getPrototype, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resource

    protected Resource resource

Constructor Detail

### DocResourceElement

    protected DocResourceElement(java.lang.String name,
                                 Resource res,
                                 int type)

Method Detail

### toString

    public java.lang.String toString()

  Get a string describing this element's location

  Overrides:
    `toString` in class `DocElement`
  Returns:
    string representation of the element's resource

### getStartLine

    public int getStartLine()

  Get the line number this element starts in. Defaults to 0.

  Returns:
    the first line of this element within its resource

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.